gnutls_x509_crt_set_issuer_alt_othername(3)

NAME
gnutls_x509_crt_set_issuer_alt_othername - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_issuer_alt_othername(gnutls_x509_crt_t crt, const char * oid, const void * data, unsigned int data_size, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

const char * oid
    The other name OID

const void * data
    The data to be set

unsigned int data_size
    The size of data to be set

unsigned int flags
    GNUTLS_FSAN_SET to clear previous data or GNUTLS_FSAN_APPEND to append.

DESCRIPTION
This function will set an "othername" to the issuer alternative name certificate extension.

The values set are set as binary values and are expected to have the proper DER encoding. For convenience the flags GNUTLS_FSAN_ENCODE_OCTET_STRING and GNUTLS_FSAN_ENCODE_UTF8_STRING can be used to encode the provided data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/